/**
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.
*/

module.exports.allmethod=function(){

console.log("argv:" + process.argv); //argv 属性返回一个数组，由命令行执行脚本时的各个参数组成。它的第一个成员总是node，第二个成员是脚本文件名，其余成员是脚本文件的参数。
console.log("stdout:" + process.stdout);
console.log("stderr:" + process.stderr);
console.log("stdin:" + process.stdin);
console.log("execPathp:" + process.execPath);
console.log("execArgv:" + process.execArgv);
console.log("env" + process.env);
console.log("exitCodep:" + process.exitCode);
console.log("version:" + process.version);
console.log("versions:" + process.versions);
console.log("config:" + process.config);
console.log("pid:" + process.pid);
console.log("title:" + process.title);
console.log("arch:" + process.arch);
console.log("platform:" + process.platform);
console.log("mainModule" + process.mainModule);

}

module.exports.argvs = function(){

    process.argv.forEach(function(val, index, array) {
        console.log(index + ': ' + val);
    });

}

module.exports.config = function(){

    console.log("config:" + process.config);
}



